package org.kde.koala;
import org.kde.qt.*;


/** {@link KDockMainWindow} emits these signals */
public interface KDockMainWindowSignals {
	void toolBarPositionChanged( QToolBar arg1 );
	void destroyed( QObject obj );
	void dockWindowPositionChanged( QDockWindow arg1 );

/** 
 Signals a certain dockwidget is undocked now.
  
*/
	void dockWidgetHasUndocked( KDockWidget arg1 );
	void pixmapSizeChanged( boolean arg1 );
	void usesTextLabelChanged( boolean arg1 );
}

